Bug 299511 - PHP imageftbbox() requires "optional" fifth argument
PHP imageftbbox() requires "optional" fifth argument
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2007-09-20 19:42 EDT by macker
Modified: 2012-06-22 09:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:05:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 26309 None None None Never

  None (edit)
Description macker 2007-09-20 19:42:57 EDT
Description of problem:
The imageftbbox() function requires 4 arguments, with an optional fifth
argument.  Due to a bug, the fifth argument is required.  This was fixed in PHP

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. PHP script that calls imageftbbox() with 4 arguments
Actual results:
PHP Warning:  Wrong parameter count for imageftbbox()

Expected results:
Normal output of function

Additional info:
Getting around this bug requires passing an array (can be empty) as a fifth
argument.  However, if using prefab PHP scripts, this requires custom
modification to the script.  This may not be possible in certain cases
("encoded" PHP scripts), making the only options a custom "wrapper" for this
function, or upgrading PHP to a version not provided by Red Hat for v3.  None of
these are acceptable options.

Should be a simple bugfix to backport and include, particularly if a bugfix or
security release is being made for other reasons.
Comment 1 Jiri Pallich 2012-06-20 12:05:54 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.
Comment 2 macker 2012-06-20 13:21:46 EDT
Thanks Jiri.

If this bug had been fixed 5 years ago, that would've been useful, but I think that closing it WONTFIX now is acceptable.

That said, I hope that this is an unfortunate exception, and not representative of Red Hat policy or methodology for managing workload of bug queues, i.e. ignoring the bug for 5 years until it's past EOL.
Comment 3 Joe Orton 2012-06-22 09:43:23 EDT
macker, I'm sorry to have disappointed you there.  

If you encounter bugs or issues when using RHEL please contact Red Hat Support in the first instance; we don't guarantee to be able to fix or help issues which are filed directly in bugzilla.

Information about our production support process can be found at: http://www.redhat.com/support/process/

Note You need to log in before you can comment on or make changes to this bug.